Bug 510584 - Review Request: openssl-ibmca - A dynamic OpenSSL engine for IBMCA
Review Request: openssl-ibmca - A dynamic OpenSSL engine for IBMCA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 509880
  Show dependency treegraph
 
Reported: 2009-07-09 16:09 EDT by Dan Horák
Modified: 2009-07-14 01:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 01:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2009-07-09 16:09:21 EDT
Spec URL: http://fedora.danny.cz/s390/openssl-ibmca.spec
SRPM URL: http://fedora.danny.cz/s390/openssl-ibmca-1.0.0-1.fc11.src.rpm

Description:
A dynamic OpenSSL engine for IBMCA crypto hardware on IBM zSeries machines.

Koji scratch build:
https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=83198
Comment 2 Jason Tibbitts 2009-07-11 12:13:38 EDT
I cannot seem to make any text-mode browser download the rpms from that koji link so that I can look at them.  They always fail due to certificate issues.  Do you have a trick for doing that, or could you fix the certificate issues?
Comment 3 Dan Horák 2009-07-11 12:32:41 EDT
Can you try http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=83198 (s/https/http/)? The downloads work for me from elinks.
Comment 4 Jason Tibbitts 2009-07-11 13:21:54 EDT
Yes, that works.  Can't believe I didn't think of it myself.

rpmlint is silent and according to the build logs this builds fine.

* source files match upstream.  sha256sum:                  
   5a2ee2084cbf2355a4d081a89ea3cd7debd6224affab89239b2bae105bea6275
   openssl-ibmca-1.0.0.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in koji.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   libibmca.so()(64bit)                                 
   openssl-ibmca = 1.0.0-1.fc11                         
   openssl-ibmca(s390-64) = 1.0.0-1.fc11
=
   libcrypto.so.8()(64bit)
   openssl >= 0.9.8

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 5 Dan Horák 2009-07-11 13:59:23 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: openssl-ibmca
Short Description: A dynamic OpenSSL engine for IBMCA
Owners: sharkcz
Branches: F-11
Comment 6 Jason Tibbitts 2009-07-11 14:30:53 EDT
CVS done.
Comment 7 Dan Horák 2009-07-14 01:59:02 EDT
imported and built

Note You need to log in before you can comment on or make changes to this bug.